Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.constructionheuristic.placer
Class AbstractEntityPlacer

    java.lang.Object
      org.optaplanner.core.impl.constructionheuristic.placer.AbstractEntityPlacer

Direct Known Subclasses:
  ConstructionHeuristicDecider, PooledEntityPlacer, QueuedEntityPlacer

    public abstract class AbstractEntityPlacer

extends Object

Abstract superclass for `EntityPlacer`.

See Also:
  `EntityPlacer`

Field Summary
`protected org.slf4j.Logger` | `logger`
`protected PhaseLifecycleSupport` | `phaseLifecycleSupport`

Constructor Summary
`AbstractEntityPlacer()`

Method Summary
`void` | `phaseEnded(AbstractPhaseScope phaseScope)`
`void` | `phaseStarted(AbstractPhaseScope phaseScope)`
`void` | `solvingEnded(DefaultSolverScope solverScope)`
`void` | `solvingStarted(DefaultSolverScope solverScope)`
`void` | `stepEnded(AbstractStepScope stepScope)`
`void` | `stepStarted(AbstractStepScope stepScope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### phaseLifecycleSupport

    protected PhaseLifecycleSupport phaseLifecycleSupport

Constructor Detail

### AbstractEntityPlacer

    public AbstractEntityPlacer()

Method Detail

### solvingStarted

    public void solvingStarted(DefaultSolverScope solverScope)

### phaseStarted

    public void phaseStarted(AbstractPhaseScope phaseScope)

### stepStarted

    public void stepStarted(AbstractStepScope stepScope)

### stepEnded

    public void stepEnded(AbstractStepScope stepScope)

### phaseEnded

    public void phaseEnded(AbstractPhaseScope phaseScope)

### solvingEnded

    public void solvingEnded(DefaultSolverScope solverScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.